package com.fs.his.service;

import com.fs.his.domain.FsVessel;
import com.fs.his.param.FsVesselListUParam;
import com.fs.his.vo.FsVesselListUVO;
import com.fs.his.vo.FsVesselListVO;
import com.fs.his.vo.OptionsVO;

import java.util.List;

/**
 * 经络管理Service接口
 *
 * @author fs
 * @date 2023-10-23
 */
public interface IFsVesselService
{
    /**
     * 查询经络管理
     *
     * @param id 经络管理主键
     * @return 经络管理
     */
    public FsVessel selectFsVesselById(Long id);

    /**
     * 查询经络管理列表
     *
     * @param fsVessel 经络管理
     * @return 经络管理集合
     */
    public List<FsVessel> selectFsVesselList(FsVessel fsVessel);

    /**
     * 新增经络管理
     *
     * @param fsVessel 经络管理
     * @return 结果
     */
    public int insertFsVessel(FsVessel fsVessel);

    /**
     * 修改经络管理
     *
     * @param fsVessel 经络管理
     * @return 结果
     */
    public int updateFsVessel(FsVessel fsVessel);

    /**
     * 批量删除经络管理
     *
     * @param ids 需要删除的经络管理主键集合
     * @return 结果
     */
    public int deleteFsVesselByIds(Long[] ids);

    /**
     * 删除经络管理信息
     *
     * @param id 经络管理主键
     * @return 结果
     */
    public int deleteFsVesselById(Long id);

    List<FsVesselListVO> selectFsVesselListVO(FsVessel fsVessel);

    String importData(List<FsVessel> list);

    List<OptionsVO> selectFsVesselListOptions();

    List<FsVesselListUVO> selectFsVesselListUVO(FsVesselListUParam param);
}
